Bibliothèques requises

Liste des fichiers .lib requis pour compiler différentes applications TAPI 3, à compter du 22/1/01 :

  • Advapi32.lib
  • Amstrmid.lib (GUID ActiveMovie)
  • Kernel32.lib
  • Mdhcpid.lib (GUID multidiffusion)
  • Ole32.lib (COM)
  • Oleaut32.lib (COM Automation)
  • Rendid.lib (GUID Rendezvous)
  • Rpcndr.lib
  • Rpcns4.lib
  • Rpcrt4.lib
  • GUID Sdpblbid.lib (Session Descriptor Protocol (SDP)
  • Strmiids.lib
  • User32.lib
  • Uuid.lib
  • Wldap32.lib
  • Ws2_32.lib

Si vous utilisez Microsoft Visual Studio, vous devrez peut-être mettre à jour votre version. En particulier, Link.exe doit porter une date du 19/03/98 ou une version ultérieure.

Les définitions du compilateur doivent inclure _WIN32_WINNT définie sur au moins 0x500 et _WIN32_DCOM.